Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2176842 - linkchecker: FTBFS in Fedora Rawhide (with cryptography 39.x and/or pyOpenSSL 23.x)
Summary: linkchecker: FTBFS in Fedora Rawhide (with cryptography 39.x and/or pyOpenSSL...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linkchecker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-03-09 13:17 UTC by Miro Hrončok
Modified: 2023-06-11 02:01 UTC (History)
5 users (show)

Fixed In Version: linkchecker-10.2.1-1.fc39 linkchecker-10.2.1-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-10 14:52:50 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2023-03-09 13:17:16 UTC
Description of problem:
Package linkchecker fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
10.1.0-3.fc38

Steps to Reproduce:
fedpkg build

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/linkchecker

------------------------------------------------------

=================================== FAILURES ===================================
_________________________ TestHttps.test_x509_to_dict __________________________
tests/checker/test_https.py:74: in test_x509_to_dict
    httputil.x509_to_dict(cert)["notAfter"], "Jan 02 03:04:05 2119 GMT"
linkcheck/httputil.py:23: in x509_to_dict
    from requests.packages.urllib3.contrib.pyopenssl import get_subj_alt_name
/usr/lib/python3.11/site-packages/urllib3/contrib/pyopenssl.py:53: in <module>
    from cryptography.hazmat.backends.openssl.x509 import _Certificate
E   ModuleNotFoundError: No module named 'cryptography.hazmat.backends.openssl.x509'



Seems like linkcheck.httputil uses the requests.packages.urllib3.contrib.pyopenssl module directly (ouch) and that no longer works this way with cryptography 39.x and/or pyOpenSSL 23.x

Comment 3 Fedora Update System 2023-03-10 14:26:58 UTC
FEDORA-2023-79e0a48109 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-79e0a48109

Comment 4 Fedora Update System 2023-03-10 14:52:50 UTC
FEDORA-2023-79e0a48109 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2023-06-01 11:22:18 UTC
FEDORA-2023-e220e1d619 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e220e1d619

Comment 6 Fedora Update System 2023-06-03 02:24:30 UTC
FEDORA-2023-e220e1d619 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e220e1d619`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e220e1d619

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-06-11 02:01:48 UTC
FEDORA-2023-e220e1d619 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.